Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80674 - problems with sound configuration -red hat linux 7.1 running on intel PIII ..
Summary: problems with sound configuration -red hat linux 7.1 running on intel PIII ..
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-29 17:37 UTC by VimalKumar
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-02 15:31:35 UTC


Attachments (Terms of Use)

Description VimalKumar 2002-12-29 17:37:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.1) Gecko/20020826

Description of problem:
I tried to configure my soundcard on Red Hat Linux 7.1..I get the following
error messages when i used 'sndconfig'..

A Pci sound card was found in your system..the details are 

Model: Cmedia Electronics inc...CM8738....i clicked Ok

A sound sample will now be palyed to determine if your sound card is configured
properly....clicked ok....

got the following message

Modprobe error
The following error occured running the modprobe program:

/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o: unresolved symbol
register_chrdev_R1a5f156e
/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o: unresolved symbol
request_module_R27e4dcO4
/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o insmod failed
/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o: insmod sound-slot-0
failed.....

then proceeded with manual configuration...but got the same error...

Can somebody help me solve this issue...thankyou in advance



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.I tried to configure my soundcard on Red Hat Linux 7.1..I get the following
error messages when i used 'sndconfig'..

A Pci sound card was found in your system..the details are 

Model: Cmedia Electronics inc...CM8738....i clicked Ok
2.A sound sample will now be palyed to determine if your sound card is
configured properly....clicked ok....



3.
    

Actual Results:  Modprobe error
The following error occured running the modprobe program:

/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o: unresolved symbol
register_chrdev_R1a5f156e
/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o: unresolved symbol
request_module_R27e4dcO4
/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o insmod failed
/lib/modules/2.4.2-2/kernel/drivers/sound/soundcore.o: insmod sound-slot-0
failed.....

Additional info:

Comment 1 Brent Fox 2003-01-02 14:00:58 UTC
Changing component to sndconfig.

Comment 2 Bill Nottingham 2003-01-02 15:31:35 UTC
You have somehow misconfigured or misbuilt a custom kernel.

Comment 3 VimalKumar 2003-01-02 15:43:38 UTC
Thanks.. i have solved the problem by recompiling the kernel..instead of adding
it as a module, i have included it in the kernel itself..no probs now..


Note You need to log in before you can comment on or make changes to this bug.